<?php
/**
 * @since      4.0.2
 * Description: Conversios Onboarding page, It's call while active the plugin
 */
if ( ! class_exists( 'Conversios_Header' ) ) {
	class Conversios_Header extends TVC_Admin_Helper{
		protected $site_url;
		protected $conversios_site_url;
		protected $subscription_data;
		protected $plan_id=1;
		public function __construct( ){
			$this->site_url = "admin.php?page=";
			$this->conversios_site_url = $this->get_conversios_site_url();
			$this->subscription_data = $this->get_user_subscription_data();
			if(isset($this->subscription_data->plan_id) && !in_array($this->subscription_data->plan_id, array("1"))){
			    $this->plan_id = $this->subscription_data->plan_id;
			}
			add_action('add_conversios_header',array($this, 'before_start_header'));
			add_action('add_conversios_header',array($this, 'header_notices'));
			add_action('add_conversios_header',array($this, 'conversios_header'));
			add_action('add_conversios_header',array($this, 'header_menu'));
		}	
		
		/**
     * before start header section
     *
     * @since    4.1.4
     */
		public function before_start_header(){
			?>
			<div class="bodyrightpart conversios-body-part">
			<?php
		}
		/**
     * header notices section
     *
     * @since    4.1.4
     */
		public function header_notices(){
			if($this->plan_id == 1){
				?>
				<!--- Promotion box start -->
			  <div class="promobandtop">
			    <div class="container-fluid">
			      <div class="row">
			          <div class="promoleft">
		              <div class="promobandmsg">
		                <?php esc_html_e("Level up your game by getting detail insights on every products. Make the informed decision for your next campaign.","conversios"); ?>
		              </div>
			          </div>
			          <div class="promoright">
	                <div class="prmoupgrdbtn">
	                    <a target="_blank" href="<?php echo esc_url_raw($this->get_pro_plan_site().'?utm_source=EE+Plugin+User+Interface&utm_medium=Top+Bar+upgrading+to+pro&utm_campaign=Upsell+at+Conversios'); ?>" class="upgradebtn"><?php esc_html_e("Upgrade","conversios"); ?></a>
	                </div>
			          </div>
			      </div>
			    </div>
			  </div>
			  <!--- Promotion box end -->
				<?php
			}
			echo esc_attr($this->call_tvc_site_verified_and_domain_claim());	
		}
		/**
     * header section
     *
     * @since    4.1.4
     */
		public function conversios_header(){
			$plan_name = esc_html__("Free Plan","conversios");
			if(isset($this->subscription_data->plan_name) && !in_array($this->subscription_data->plan_id, array("1"))){
        $plan_name = $this->subscription_data->plan_name;
      }
			?>
			<!-- header start -->
		  <header class="header">
	      <div class="hedertop">
          <div class="row align-items-center">
            <div class="hdrtpleft">
              <div class="brandlogo">
                  <a target="_blank" href="<?php echo esc_url_raw($this->conversios_site_url); ?>"><img src="<?php echo esc_url_raw(ENHANCAD_PLUGIN_URL.'/admin/images/logo.png'); ?>" alt="" /></a>
              </div>
              <div class="hdrcntcbx">
                  <?php printf("%s <span><a href=\"tel:+1 (415) 968-6313\">+1 (415) 968-6313</a></span>",esc_html_e("For any query, contact us at","conversios")); ?>
              </div>
            </div>
            <div class="hdrtpright">
              <div class="hustleplanbtn">
                  <a href="<?php echo esc_url_raw($this->site_url.'conversios-account'); ?>"><button class="cvrs-btn greenbtn"><?php echo esc_attr($plan_name); ?></button></a>
              </div>
            </div>
            <div class="hdrcntcbx mblhdrcntcbx">
                <?php printf("%s <span><a href=\"tel:+1 (415) 968-6313\">+1 (415) 968-6313</a></span>",esc_html_e("For any query, contact us at","conversios")); ?>
            </div>
          </div>
	      </div>
		  </header>
		  <!-- header end -->
			<?php
		}

		/* add active tab class */
	  protected function is_active_menu($page=""){
	      if($page!="" && isset($_GET['page']) && sanitize_text_field($_GET['page']) == $page){
	          return "active";
	      }
	      return ;
	  }
	  public function conversios_menu_list(){
	  	//slug => arra();
	  	$conversios_menu_list = array(
	  		'conversios' => array(
	  			'title'=>'Dashboard',
	  			'icon'=>esc_url_raw(ENHANCAD_PLUGIN_URL."/admin/images/conversios-menu.png"),
	  			'acitve_icon'=>esc_url_raw(ENHANCAD_PLUGIN_URL."/admin/images/active-conversios-menu.png")
	  			),
	  		'conversios-google-analytics'=>array('title'=>esc_html__('Google Analytics','conversios')),
	  		'conversios-google-ads'=>array('title'=>esc_html__('Google Ads','conversios')),
	  		'conversios-google-shopping-feed'=>array('title'=>esc_html__('Google Shopping','conversios'))
	  		 );
	  	if($this->plan_id == 1){
	  		$conversios_menu_list['conversios-pricings'] = array('title'=>esc_html__('Free Vs Pro','conversios'),'icon'=>'');
	  	}
	  	return apply_filters('conversios_menu_list', $conversios_menu_list, $conversios_menu_list);
	  }
		/**
     * header menu section
     *
     * @since    4.1.4
     */
		public function header_menu(){
			$menu_list = $this->conversios_menu_list();
			if(!empty($menu_list)){
				?>
				<div class="navinfowrap">
      	  <div class="navinfotopnav">
            <ul>
						<?php
						foreach ($menu_list as $key => $value) {
							if(isset($value['title']) && $value['title']){
								$is_active = $this->is_active_menu($key);
								$icon = "";
								if(!isset($value['icon']) && !isset($value['acitve_icon'])){
									$icon = esc_url_raw(ENHANCAD_PLUGIN_URL.'/admin/images/'.esc_attr($key).'-menu.png');					
									if($is_active == 'active'){
										$icon = esc_url_raw(ENHANCAD_PLUGIN_URL.'/admin/images/'.esc_attr($is_active).'-'.esc_attr($key).'-menu.png');
									}
								}else{
									$icon = (isset($value['icon']))?$value['icon']:((isset($value['acitve_icon']))?esc_attr($value['acitve_icon']):"");
									if($is_active == 'active' && isset($value['acitve_icon'])){
										$icon =$value['acitve_icon'];
									}
								}
								?>
								<li class="<?php echo esc_attr($is_active);  ?>">
		              <a href="<?php echo esc_url_raw($this->site_url.$key); ?>">
		              	<?php if($icon != ""){?>
		                <span class="navinfoicon"><img src="<?php echo esc_url_raw($icon); ?>" /></span>
		              <?php } ?>
		                <span class="navinfonavtext"><?php echo esc_attr($value['title']); ?></span>
		              </a>
			          </li>
								<?php	
							}
						}?>
						</ul>
					</div>
				</div>	
				<?php
			}			
		}
	}
}
new Conversios_Header();